[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReader.ReadVariant

Read a variant from the stream

## Declaration

Source position: classesh.inc line 1419

`public function TReader.ReadVariant: Variant;`

## Description

ReadVariant reads the next value from the stream and returns it as a variant. No variant array can be read from the stream, only single values.

## Errors

If no variant manager is installed, the function will raise an EReadError exception. If the next value is not a simple value, again an EReadError exception is raised. exception is

## See also

TBinaryObjectWriter.WriteVariant |  | Write a variant to the stream